> ## Documentation Index
> Fetch the complete documentation index at: https://doc.extole.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Update a person shareable

> Updates the content of an existing shareable identified by its share code for the specified person.



## OpenAPI

````yaml /api-reference/integration-server-to-extole.json put /v5/persons/{person_id}/shareables/{code}
openapi: 3.0.1
info:
  description: >-
    Server-to-Extole integration endpoints: event submission, person lookup,
    zone rendering, token management, and reward retrieval for backend services
    authenticating with client credentials.
  title: Integration API - Server to Extole
  version: '1.0'
servers:
  - description: Production
    url: https://api.extole.io
security:
  - HEADER: []
  - QUERY: []
  - COOKIE: []
tags:
  - name: Authentication
  - name: Batch Jobs
  - name: Events
  - name: Files
  - name: Persons
  - name: Reward Suppliers
  - name: Rewards
  - name: SFTP Servers
  - name: Zone Rendering
paths:
  /v5/persons/{person_id}/shareables/{code}:
    put:
      tags:
        - Persons
      summary: Update a person shareable
      description: >-
        Updates the content of an existing shareable identified by its share
        code for the specified person.
      operationId: updatePersonShareable
      parameters:
        - description: The Extole unique profile identifier of this user at Extole.
          in: path
          name: person_id
          required: true
          schema:
            type: string
        - description: Shareable id parameter
          in: path
          name: code
          required: true
          schema:
            pattern: .+
            type: string
      requestBody:
        content:
          application/json:
            example:
              content:
                description: description
                image_url: image_url
                partner_content_id: partner_content_id
                title: title
                url: url
              data:
                data_key: data_key
              key: key
              label: label
              program_url: program_url
            schema:
              $ref: '#/components/schemas/PersonShareableUpdateRequest'
      responses:
        '200':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/PersonShareableResponse'
          description: Successful response
        '400':
          content:
            application/json:
              examples:
                binding_error:
                  $ref: '#/components/examples/binding_error'
                blocked_content_url:
                  $ref: '#/components/examples/blocked_content_url'
                code_contains_reserved_word:
                  $ref: '#/components/examples/code_contains_reserved_word'
                code_illegal_character:
                  $ref: '#/components/examples/code_illegal_character'
                code_out_of_range:
                  $ref: '#/components/examples/code_out_of_range'
                code_taken:
                  $ref: '#/components/examples/code_taken'
                code_taken_by_promotion:
                  $ref: '#/components/examples/code_taken_by_promotion'
                content_description_length_exceeded:
                  $ref: '#/components/examples/content_description_length_exceeded'
                content_image_url_invalid:
                  $ref: '#/components/examples/content_image_url_invalid'
                content_url_length_out_of_range:
                  $ref: '#/components/examples/content_url_length_out_of_range'
                data_attribute_name_invalid:
                  $ref: '#/components/examples/data_attribute_name_invalid'
                data_attribute_name_length_out_of_range:
                  $ref: >-
                    #/components/examples/data_attribute_name_length_out_of_range
                data_attribute_value_invalid:
                  $ref: '#/components/examples/data_attribute_value_invalid'
                data_attribute_value_length_out_of_range:
                  $ref: >-
                    #/components/examples/data_attribute_value_length_out_of_range
                invalid_content_url:
                  $ref: '#/components/examples/invalid_content_url'
                invalid_json:
                  $ref: '#/components/examples/invalid_json'
                invalid_parameter:
                  $ref: '#/components/examples/invalid_parameter'
                invalid_program:
                  $ref: '#/components/examples/invalid_program'
                label_is_missing:
                  $ref: '#/components/examples/label_is_missing'
                label_name_contains_illegal_character:
                  $ref: '#/components/examples/label_name_contains_illegal_character'
                label_name_length_out_of_range:
                  $ref: '#/components/examples/label_name_length_out_of_range'
                missing_request_body:
                  $ref: '#/components/examples/missing_request_body'
                person_not_rewardable:
                  $ref: '#/components/examples/person_not_rewardable'
                program_domain_not_found:
                  $ref: '#/components/examples/program_domain_not_found'
                shareable_key_taken:
                  $ref: '#/components/examples/shareable_key_taken'
                shareable_not_found:
                  $ref: '#/components/examples/shareable_not_found'
                unknown_program:
                  $ref: '#/components/examples/unknown_program'
              schema:
                $ref: '#/components/schemas/RestExceptionResponse'
          description: Bad Request
        '401':
          content:
            application/json:
              examples:
                method_unauthorized:
                  $ref: '#/components/examples/method_unauthorized'
              schema:
                $ref: '#/components/schemas/RestExceptionResponse'
          description: Unauthorized
        '402':
          content:
            application/json:
              examples:
                payment_required:
                  $ref: '#/components/examples/payment_required'
              schema:
                $ref: '#/components/schemas/RestExceptionResponse'
          description: Payment Required
        '403':
          content:
            application/json:
              examples:
                access_denied:
                  $ref: '#/components/examples/access_denied'
                method_unauthorized:
                  $ref: '#/components/examples/method_unauthorized'
                missing_access_token:
                  $ref: '#/components/examples/missing_access_token'
                person_not_found:
                  $ref: '#/components/examples/person_not_found'
              schema:
                $ref: '#/components/schemas/RestExceptionResponse'
          description: Forbidden
        '415':
          content:
            application/json:
              examples:
                unsupported_media_type:
                  $ref: '#/components/examples/unsupported_media_type'
              schema:
                $ref: '#/components/schemas/RestExceptionResponse'
          description: Unsupported Media Type
        '429':
          content:
            application/json:
              examples:
                too_many_requests:
                  $ref: '#/components/examples/too_many_requests'
              schema:
                $ref: '#/components/schemas/RestExceptionResponse'
          description: Too Many Requests
components:
  schemas:
    PersonShareableUpdateRequest:
      description: 'Body of a `PUT /v5/persons/{person_id}/shareables/{code : .+}` request.'
      properties:
        content:
          $ref: '#/components/schemas/PersonShareableContentRequest'
        data:
          additionalProperties:
            type: string
          type: object
        key:
          nullable: true
          type: string
        label:
          nullable: true
          type: string
        program_url:
          type: string
      type: object
    PersonShareableResponse:
      properties:
        code:
          description: Unique shareable code used to generate this person's referral link.
          type: string
        content:
          $ref: '#/components/schemas/PersonShareableContentResponse'
        created_date:
          $ref: '#/components/schemas/ZonedDateTime'
        data:
          additionalProperties:
            $ref: '#/components/schemas/PersonShareableDataResponse'
          description: Named data parameters attached to this shareable.
          type: object
        key:
          description: Key identifying the shareable template or program slot.
          type: string
        label:
          description: Human-readable label for this shareable. Absent if no label was set.
          type: string
        link:
          description: Full referral link URL for this shareable.
          type: string
        updated_date:
          $ref: '#/components/schemas/ZonedDateTime'
      required:
        - code
        - content
        - created_date
        - data
        - key
        - label
        - link
        - updated_date
      type: object
    RestExceptionResponse:
      description: Represents the API error response
      properties:
        code:
          description: Specific error code for this error type, documented per endpoint
          type: string
        http_status_code:
          description: >-
            HTTP status code that was returned with this error, useful if client
            get response code
          format: int32
          type: integer
        message:
          description: User readable English description of the error
          type: string
        parameters:
          additionalProperties:
            description: >-
              Attributes related to the error, varies be error code, documented
              per endpoint
            type: object
          description: >-
            Attributes related to the error, varies be error code, documented
            per endpoint
          type: object
        unique_id:
          description: >-
            Unique id associated with this error, useful for discussions with
            Extole
          type: string
      required:
        - code
        - http_status_code
        - message
        - parameters
        - unique_id
      type: object
    PersonShareableContentRequest:
      properties:
        description:
          nullable: true
          type: string
        image_url:
          nullable: true
          type: string
        partner_content_id:
          nullable: true
          type: string
        title:
          nullable: true
          type: string
        url:
          nullable: true
          type: string
      type: object
    PersonShareableContentResponse:
      description: >-
        Rendered content (subject, message, etc.) for this shareable. Absent if
        no content template is configured.
      properties:
        description:
          description: Text description of the shared content. Absent if not set.
          type: string
        image_url:
          description: >-
            URL of the image associated with the shared content. Absent if not
            set.
          type: string
        partner_content_id:
          description: >-
            Partner-assigned identifier for the shareable content item. Absent
            if not provided.
          type: string
        title:
          description: Display title for the shared content. Absent if not set.
          type: string
        url:
          description: Destination URL for the shared content. Absent if not set.
          type: string
      type: object
    ZonedDateTime:
      description: >-
        [RFC 3339](https://datatracker.ietf.org/doc/html/rfc3339#section-5.6) or
        [RFC 9557](https://datatracker.ietf.org/doc/html/rfc9557#section-4)
        date-time with a numeric [UTC
        offset](https://datatracker.ietf.org/doc/html/rfc3339#section-5.6) and
        an optional [IANA
        time-zone](https://datatracker.ietf.org/doc/html/rfc9557#section-4)
        suffix in square brackets. Precision up to milliseconds.
      example: '2025-10-24T02:00:00-07:00'
      pattern: >-
        ^\d{4}-\d{2}-\d{2}T\d{2}:\d{2}:\d{2}(\.\d{1,3})?(Z|[+-](?:[01][0-9]|2[0-3]):[0-5][0-9])(\[[^\]]+\])?$
      type: string
    PersonShareableDataResponse:
      description: Named data parameters attached to this shareable.
      properties:
        name:
          description: Name of the data parameter.
          type: string
        value:
          description: Value stored for the data parameter.
          type: object
      type: object
  examples:
    binding_error:
      summary: binding_error
      value:
        code: binding_error
        http_status_code: 400
        message: Argument is not of the expected type
        parameters: {}
        unique_id: 00000000-0000-0000-0000-000000000000
    blocked_content_url:
      summary: blocked_content_url
      value:
        code: blocked_content_url
        http_status_code: 403
        message: Content url is blocked
        parameters: {}
        unique_id: 00000000-0000-0000-0000-000000000000
    code_contains_reserved_word:
      summary: code_contains_reserved_word
      value:
        code: code_contains_reserved_word
        http_status_code: 403
        message: Shareable code contains reserved word
        parameters: {}
        unique_id: 00000000-0000-0000-0000-000000000000
    code_illegal_character:
      summary: code_illegal_character
      value:
        code: code_illegal_character
        http_status_code: 403
        message: Code can only contain alphanumeric, dash and underscore
        parameters: {}
        unique_id: 00000000-0000-0000-0000-000000000000
    code_out_of_range:
      summary: code_out_of_range
      value:
        code: code_out_of_range
        http_status_code: 403
        message: Code length must be between 4 and 50 characters
        parameters: {}
        unique_id: 00000000-0000-0000-0000-000000000000
    code_taken:
      summary: code_taken
      value:
        code: code_taken
        http_status_code: 403
        message: The code associated with this shareable has already been specified
        parameters: {}
        unique_id: 00000000-0000-0000-0000-000000000000
    code_taken_by_promotion:
      summary: code_taken_by_promotion
      value:
        code: code_taken_by_promotion
        http_status_code: 400
        message: >-
          The code associated with this shareable is already used by a promotion
          link
        parameters: {}
        unique_id: 00000000-0000-0000-0000-000000000000
    content_description_length_exceeded:
      summary: content_description_length_exceeded
      value:
        code: content_description_length_exceeded
        http_status_code: 403
        message: Content description length exceeded
        parameters: {}
        unique_id: 00000000-0000-0000-0000-000000000000
    content_image_url_invalid:
      summary: content_image_url_invalid
      value:
        code: content_image_url_invalid
        http_status_code: 403
        message: Invalid content image_url
        parameters: {}
        unique_id: 00000000-0000-0000-0000-000000000000
    content_url_length_out_of_range:
      summary: content_url_length_out_of_range
      value:
        code: content_url_length_out_of_range
        http_status_code: 400
        message: Content url is out of range
        parameters: {}
        unique_id: 00000000-0000-0000-0000-000000000000
    data_attribute_name_invalid:
      summary: data_attribute_name_invalid
      value:
        code: data_attribute_name_invalid
        http_status_code: 403
        message: Shareable data attribute name is invalid
        parameters: {}
        unique_id: 00000000-0000-0000-0000-000000000000
    data_attribute_name_length_out_of_range:
      summary: data_attribute_name_length_out_of_range
      value:
        code: data_attribute_name_length_out_of_range
        http_status_code: 403
        message: Shareable data attribute name length is out of range. Max 200 chars
        parameters: {}
        unique_id: 00000000-0000-0000-0000-000000000000
    data_attribute_value_invalid:
      summary: data_attribute_value_invalid
      value:
        code: data_attribute_value_invalid
        http_status_code: 403
        message: Shareable data value is invalid
        parameters: {}
        unique_id: 00000000-0000-0000-0000-000000000000
    data_attribute_value_length_out_of_range:
      summary: data_attribute_value_length_out_of_range
      value:
        code: data_attribute_value_length_out_of_range
        http_status_code: 403
        message: Shareable data attribute value length is out of range. Max 2000 chars
        parameters: {}
        unique_id: 00000000-0000-0000-0000-000000000000
    invalid_content_url:
      summary: invalid_content_url
      value:
        code: invalid_content_url
        http_status_code: 403
        message: Invalid content url
        parameters: {}
        unique_id: 00000000-0000-0000-0000-000000000000
    invalid_json:
      summary: invalid_json
      value:
        code: invalid_json
        http_status_code: 400
        message: JSON is invalid
        parameters: {}
        unique_id: 00000000-0000-0000-0000-000000000000
    invalid_parameter:
      summary: invalid_parameter
      value:
        code: invalid_parameter
        http_status_code: 400
        message: Parameter is invalid.
        parameters: {}
        unique_id: 00000000-0000-0000-0000-000000000000
    invalid_program:
      summary: invalid_program
      value:
        code: invalid_program
        http_status_code: 400
        message: Invalid Program
        parameters: {}
        unique_id: 00000000-0000-0000-0000-000000000000
    label_is_missing:
      summary: label_is_missing
      value:
        code: label_is_missing
        http_status_code: 403
        message: Label is missing
        parameters: {}
        unique_id: 00000000-0000-0000-0000-000000000000
    label_name_contains_illegal_character:
      summary: label_name_contains_illegal_character
      value:
        code: label_name_contains_illegal_character
        http_status_code: 403
        message: >-
          Label name can only contain alphanumeric, dash and underscore
          characters
        parameters: {}
        unique_id: 00000000-0000-0000-0000-000000000000
    label_name_length_out_of_range:
      summary: label_name_length_out_of_range
      value:
        code: label_name_length_out_of_range
        http_status_code: 403
        message: Label name is not of valid length
        parameters: {}
        unique_id: 00000000-0000-0000-0000-000000000000
    missing_request_body:
      summary: missing_request_body
      value:
        code: missing_request_body
        http_status_code: 400
        message: Missing request body
        parameters: {}
        unique_id: 00000000-0000-0000-0000-000000000000
    person_not_rewardable:
      summary: person_not_rewardable
      value:
        code: person_not_rewardable
        http_status_code: 403
        message: Person does not have email address
        parameters: {}
        unique_id: 00000000-0000-0000-0000-000000000000
    program_domain_not_found:
      summary: program_domain_not_found
      value:
        code: program_domain_not_found
        http_status_code: 403
        message: Program domain does not exist
        parameters: {}
        unique_id: 00000000-0000-0000-0000-000000000000
    shareable_key_taken:
      summary: shareable_key_taken
      value:
        code: shareable_key_taken
        http_status_code: 403
        message: The key associated with this shareable has already been specified
        parameters: {}
        unique_id: 00000000-0000-0000-0000-000000000000
    shareable_not_found:
      summary: shareable_not_found
      value:
        code: shareable_not_found
        http_status_code: 403
        message: Shareable not found
        parameters: {}
        unique_id: 00000000-0000-0000-0000-000000000000
    unknown_program:
      summary: unknown_program
      value:
        code: unknown_program
        http_status_code: 400
        message: The provided program url is not associated with an existing program
        parameters: {}
        unique_id: 00000000-0000-0000-0000-000000000000
    method_unauthorized:
      summary: method_unauthorized
      value:
        code: method_unauthorized
        http_status_code: 401
        message: Unauthorized access to this endpoint
        parameters: {}
        unique_id: 00000000-0000-0000-0000-000000000000
    payment_required:
      summary: payment_required
      value:
        code: payment_required
        http_status_code: 402
        message: The access_token provided is associated with an unpaid account.
        parameters: {}
        unique_id: 00000000-0000-0000-0000-000000000000
    access_denied:
      summary: access_denied
      value:
        code: access_denied
        http_status_code: 403
        message: >-
          The access_token provided is not permitted to access the specified
          resource.
        parameters: {}
        unique_id: 00000000-0000-0000-0000-000000000000
    missing_access_token:
      summary: missing_access_token
      value:
        code: missing_access_token
        http_status_code: 403
        message: No access_token was provided with this request.
        parameters: {}
        unique_id: 00000000-0000-0000-0000-000000000000
    person_not_found:
      summary: person_not_found
      value:
        code: person_not_found
        http_status_code: 403
        message: Person not found
        parameters: {}
        unique_id: 00000000-0000-0000-0000-000000000000
    unsupported_media_type:
      summary: unsupported_media_type
      value:
        code: unsupported_media_type
        http_status_code: 415
        message: Request had an unsupported or no media type
        parameters: {}
        unique_id: 00000000-0000-0000-0000-000000000000
    too_many_requests:
      summary: too_many_requests
      value:
        code: too_many_requests
        http_status_code: 429
        message: >-
          The server is unable to process your request at the moment, please
          retry later.
        parameters: {}
        unique_id: 00000000-0000-0000-0000-000000000000
  securitySchemes:
    HEADER:
      in: header
      name: Authorization
      type: apiKey
      x-bearer-format: bearer
    QUERY:
      in: query
      name: access_token
      type: apiKey
    COOKIE:
      in: cookie
      name: extole_token
      type: apiKey

````